Joomla - File Extension Installation

Hi

I am running Joomla 3.0 as my web developing medium & i have downloaded an extension which i want to install from (http://macrotoneconsulting.co.uk/index.php/Macrotone/issue-tracker-faq.html
&
 http://macrotoneconsulting.co.uk/index.php/file/63-issue-tracker-v1-4-1-joomla-3-1) into my Joomla operated Website - It is called Issue Tracker.

However when i tried installing it via extension manager i get an error message:

"SQL=ALTER TABLE `hq74m_it_issues` ADD `access` int(10) unsigned NOT NULL DEFAULT '0' AFTER resolution_summary;"

and also another one when i tried second time around - please see attached Doc.

What can you analyse as being the problem & how can i fix to install this

TX
Screenshot-1.png
shaunwinginAsked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

Rowby GorenCommented:
Hi

Do you get similar messages when installing other extensions?

Rowby
0
Rowby GorenCommented:
Hi

As a test I just now installed Issue Tracker on one of my development sites and it installed without problem.

The version of Issue tracker was  1.4.1  Is that the version you tried to install?  Their download page has several versions.   The one you want is at this link:  http://macrotoneconsulting.co.uk/index.php/file/63-issue-tracker-v1-4-1-joomla-3-1

I installed it on Joomla 3.1.5  Is that your version of joomla?

If the above doesn't solve the issue, are you installing it on a server that meets the requirements of joomla 3.1.x    See this link: http://www.joomla.org/about-joomla/technical-requirements.html   and http://docs.joomla.org/Technical_requirements

Rowby
0
shaunwinginAuthor Commented:
Hi Rowby, I do not get the same message when installing other extensions - only with this specific extension.

This version of Issue Tracker is the latest one & correct version so i know it cant be the problem. It could maybe be the requirements of the server or i am using a different version to what this extension requires.

I am using Joomla 3.x but i do not know which one exactly because i have updated it a few times. How do i check the exact version on the back end again??
0
10 Tips to Protect Your Business from Ransomware

Did you know that ransomware is the most widespread, destructive malware in the world today? It accounts for 39% of all security breaches, with ransomware gangsters projected to make $11.5B in profits from online extortion by 2019.

Rowby GorenCommented:
The version of Joomla should be on the bottom right of the administrator section.

Also you can click on System / System Information to see what version of Joomla you are running, and also the PHP information tab.

I think it's the server configuration and that it's not fully joomla compatible.  Depending on your host this can sometimes be easily fixed.  Most hosts are uptodate on these things, but not all.

Can you tell us what host you are using?

Rowby
0
shaunwinginAuthor Commented:
This is the system information that i am using.

System Information
Setting       Value
 
PHP Built On       Linux www57.jnb2.host-h.net 3.2.0-0.bpo.4-686-pae #1 SMP Debian 3.2.46-1~bpo60+1 i686
Database Version       5.1.66-0+squeeze1
Database Collation       utf8_general_ci
PHP Version       5.4.4-14+deb7u4+hetz1
Web Server       Apache
WebServer to PHP Interface       cgi-fcgi
Joomla! Version       Joomla! 3.0.3 Stable [ Ember ] 04-February-2013 14:00 GMT
Joomla! Platform Version       Joomla Platform 12.2.0 Stable [ Neil Armstrong ] 21-September-2012 00:00 GMT
User Agent       Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.69 Safari/537.36
0
shaunwinginAuthor Commented:
I have managed to update my Joomla from 3.0.3 Stable to Joomla! 3.1.5 Stable however i tried to install the same Issue Tracker & i get the same message again "SQL=ALTER TABLE `hq74m_it_issues` ADD `access` int(10) unsigned NOT NULL DEFAULT '0' AFTER resolution_summary;"

Do you know what could be the issue?
0
shaunwinginAuthor Commented:
??
0
Rowby GorenCommented:
I would run that error through the Experts Exchange Mysql section.   Include in your question the version of php your server is running as well as the version of php.   Just copy and paste the info you posted here in your earlier comment.

The error might be related to the version of mysql as well as your version of php.  

I had a different type of mysql issue on a joomla install from an old version of joomla to a newer version -- and the Mysql section of Experts exchange pinpointed the problem based on the version of mysql.

Then let me know what they tell you..

Rowby
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
shaunwinginAuthor Commented:
Thanks Rowby - i will let you know.

But, where do i find  Experts Exchange Mysql section?
0
Rowby GorenCommented:
0
shaunwinginAuthor Commented:
Okay - Thanks

Core
PHP Version       5.4.4-14+deb7u4+hetz1
0
Rowby GorenCommented:
Hi

Thanks for the points.

  Were you able to get the solution you needed at mysql section of experts exchange?

Rowby
0
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Joomla

From novice to tech pro — start learning today.